%define git_name CSFML

Name:           csfml
Version:        2.5.1
%define subrel  1
Release:        %mkrel 2
Summary:        C Interface for the Simple and Fast Multimedia Library

License:        zlib
Group:          Development/C
URL:            https://www.sfml-dev.org/download/csfml/
Source0:        https://www.sfml-dev.org/files/CSFML-%{version}-sources.zip

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  lib64sfml-devel

%description
CSFML is the official C interface for the SFML library (written in C++),
allowing to develop applications using C instead of C++.


%package        devel
Summary:        Development files for %{git_name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{git_name}.


%package        doc
Summary:        Developer documentation for %{git_name}
BuildArch:      noarch

%description    doc
This package contains developer documentation (in HTML format) for %{git_name}.


%prep
%setup -q -n %{git_name}-%{version}


%build
%cmake -DCSFML_BUILD_DOC=TRUE .
%cmake_build


%install
%cmake_install

# Fix documentation being installed in wrong directory
install -m 755 -d %{buildroot}%{_datadir}/doc
mv \
	%{buildroot}%{_datadir}/%{git_name}/doc \
	%{buildroot}%{_datadir}/doc/%{git_name}

# Remove license.txt and readme.txt - rely on %%license and %%doc macros
rm %{buildroot}%{_datadir}/%{git_name}/license.txt
rm %{buildroot}%{_datadir}/%{git_name}/readme.txt


%ldconfig_scriptlets


%files
%license license.txt
%doc readme.txt
%{_libdir}/libcsfml-*.so.2*

%files devel
%{_includedir}/SFML/
%{_libdir}/libcsfml-*.so

%files doc
%license license.txt
%doc %{_datadir}/doc/%{git_name}/


%changelog
* Mon Sep 5 2022 squidf <squid-f> 2.5.1-2.1
- Add group

* Wed Jan 12 2022 squidf <squid-f> 2.5.1-2
- Use lowercase for package name (Mageia policy)

* Tue Dec 28 2021 squidf <squid-f> 2.5.1-1
- Build for Mageia 8

* Tue Aug 31 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.5.1-3
- Do not install multiple copies of license.txt and readme.txt

* Thu Aug 12 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.5.1-2
- Change wildcard for .so files to protect against SONAME changes
- Fix license file not being installed properly
- Fix documentation being installed under wrong path
- Move documentation to -doc subpackage

* Mon Aug 02 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.5.1-1
- Update to v2.5.1

* Fri Jul 09 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 2.5-1
- Initial packaging
